| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
CHIP_SPI_DATA_SETUP_T Struct Reference
CHIP: LPC17xx/40xx SPI driver | CHIP: LPC8xx SPI driver

## Detailed Description

SPI data setup structure.

Definition at line 63 of file spi_17xx_40xx.h.

`#include "spi_17xx_40xx.h"`

## Data Fields
uint8_t * | pTxData
uint8_t * | pRxData
uint32_t | cnt
uint32_t | length
CHIP_SPI_CALLBACK_T | fnBefFrame
CHIP_SPI_CALLBACK_T | fnAftFrame
CHIP_SPI_CALLBACK_T | fnBefTransfer
CHIP_SPI_CALLBACK_T | fnAftTransfer
uint16_t * | pTx
uint32_t | TxCnt
uint16_t * | pRx
uint32_t | RxCnt
uint32_t | Length
uint16_t | DataSize

## Field Documentation

uint32_t cnt

Transfer counter

Definition at line 66 of file spi_17xx_40xx.h.

uint16_t DataSize

Definition at line 59 of file spi_8xx.h.

CHIP_SPI_CALLBACK_T fnAftFrame

Function to call after sending frame

Definition at line 69 of file spi_17xx_40xx.h.

CHIP_SPI_CALLBACK_T fnAftTransfer

Function to call after a transfer complete

Definition at line 71 of file spi_17xx_40xx.h.

CHIP_SPI_CALLBACK_T fnBefFrame

Function to call before sending frame

Definition at line 68 of file spi_17xx_40xx.h.

CHIP_SPI_CALLBACK_T fnBefTransfer

Function to call before starting a transfer

Definition at line 70 of file spi_17xx_40xx.h.

uint32_t Length

Data Length

Definition at line 58 of file spi_8xx.h.

uint32_t length

Length of transfer data

Definition at line 67 of file spi_17xx_40xx.h.

uint16_t* pRx

Pointer to data buffer

Definition at line 56 of file spi_8xx.h.

uint8_t* pRxData

Pointer to receive data

Definition at line 65 of file spi_17xx_40xx.h.

uint16_t* pTx

Pointer to data buffer

Definition at line 54 of file spi_8xx.h.

uint8_t* pTxData

Pointer to transmit data

Definition at line 64 of file spi_17xx_40xx.h.

uint32_t RxCnt

Definition at line 57 of file spi_8xx.h.

uint32_t TxCnt

Definition at line 55 of file spi_8xx.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_17xx_40xx/spi_17xx_40xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/spi_8xx.h